@Echo off
Rem ---------------------------------------------------------------
Rem Copyright: Howard van der Burgt, Holland 1997
Rem Feel free to change this batchfile with whatever you need !
Rem But I would like to be informed about your changes.
Rem E-mail: hobu@worldaccess.nl
Rem ---------------------------------------------------------------
Echo Starting Duke 3D Map %1
Rem Duke Parameters
Rem /map : Start user level (undocumented)
Rem /s#  : Skill level from 0-3
Rem /m   : No game monsters (for Dukematch games)
Rem /t#  : Respawning things (for Dukematch games; 0=Monsters only,
Rem        1=Items only, 2=Inventory items, x=All)
Rem /c#  : Type of Multi-play (0=Standard Dukematch, 1=Co-op Play,
Rem        2='Old' Dukematch)
Rem /i#  : Type of network-mode (0=5-8 players, 1=2-4 players)
Rem -net : Network game (used by setup program only ?)

Rem ---------------------------------------------------------------
Rem Install some drivers you may need with your videocard
Rem These S3 Vesa 2.0 drivers are freeware and can be obtained by:
Rem WWW:    http://www.uni-muenster.de/math/u/mesched
Rem FTP:    ftp://ftp.uni-muenster.de/pub/msdos/meschede
Rem ---------------------------------------------------------------
Rem s3vbe20 /install
Rem s3spdup vesa+

Rem ---------------------------------------------------------------
Rem Change to the Duke3D install-directory !!!
Rem ---------------------------------------------------------------
c:
cd\games\duke3d

Rem ---------------------------------------------------------------
Rem Go to the choosen section
Rem ---------------------------------------------------------------
if "%2"=="1" goto SingleUser
if "%2"=="2-4" goto MultiTwo
if "%2"=="5-8" goto MultiFive
goto error

Rem ---------------------------------------------------------------
Rem As I have understood it is not really necessary to make a
Rem difference between 2-4 or 5-8 player settings but sometimes
Rem it is needed to start Duke3d properly.
Rem ---------------------------------------------------------------
:SingleUser
duke3d.exe -setupfile duke3d.cfg -map %1
goto exit

Rem For Network game 2-4 players
:MultiTwo
commit.exe -setupfile duke3d.cfg /i1 /m -map %1
goto exit

:MultiFive
Rem For Network game 5-8 players
commit.exe -setupfile duke3d.cfg /i0 /m -map %1
goto exit

:error
Echo Could not start Duke !
Pause

:exit
